Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.search
Class PropertyValueFilter

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableFilter
              ru.biosoft.access.search.PropertyValueFilter

All Implemented Interfaces:
  Filter

public class PropertyValueFilter
extends MutableFilter

Nested Class Summary

Nested classes inherited from class ru.biosoft.access.Filter
`Filter.IncludeAllFilter, Filter.IncludeNoneFilter`

Field Summary

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.Filter
`INCLUDE_ALL_FILTER, INCLUDE_NONE_FILTER`

Constructor Summary
`PropertyValueFilter(java.beans.PropertyDescriptor pd)`

Method Summary
`java.beans.PropertyDescriptor` | `getDescriptor()`
`java.lang.String` | `getDisplayName()`
`java.lang.Object` | `getValue()`
`boolean` | `isAcceptable(DataElement de)` Return is data element accepted by filter.
`void` | `setValue(java.lang.Object value)`

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyValueFilter

    public PropertyValueFilter(java.beans.PropertyDescriptor pd)

Method Detail

### setValue

    public void setValue(java.lang.Object value)

### getValue

    public java.lang.Object getValue()

### getDisplayName

    public java.lang.String getDisplayName()

### isAcceptable

    public boolean isAcceptable(DataElement de)

  Description copied from interface: `Filter`
  Return is data element accepted by filter.

  Parameters:
    `de` - Data element.
  Returns:
    `true` - if filter accept specified data element, `false` otherwise.
  See Also:
    `DataElement`

### getDescriptor

    public java.beans.PropertyDescriptor getDescriptor()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.